Linux Kernel 4.18

Não é incomum encontrar usuários que atualizam logo para os lançamentos do Linux Kernel mais recentes. No entanto, aqueles que estão pensando em atualizar para o Linux Kernel 4.18 pode encontrar sérios problemas.

O post de hoje é na verdade um alerta para os usuários do GNU/Linux que possuem máquinas um pouco mais antigas e que gostam de atualizar o kernel do sistema.

O problema está acontecendo no Fórum do Arch Linux, que é uma distribuição Rolling Release e que por isso recebe rapidamente as atualizações. E não é que tem muita gente com problema depois que o Linux Kernel 4.18 foi lançado. Até agora, os reclamantes em torno do problema são usuários que utilizam o Intel Core 2 Duo, a versão que mais apresenta problemas é o Linux Kernel 4.18.5.

O problema é durante a inicialização do sistema seguido por um travamento total. Pelo o que foi identificado, é preciso que o usuário remova o kthread pois ele já é considerado o commit problemático para este caso. Agora se você não quer remover nada, pode iniciar o sistema com um parâmetro que vai contornar o erro que seria:

clocksource=hpet

Se você estiver usando um computador dos anos de 2006 até 2010 como o Core 2 Duo, é bom que você reveja se realmente precisa de Linux Kernel atualizado. Se não, escolha uma versão LTS e fique longe de problemas. Certamente em breve, a equipe do Linus Torvalds deve resolver a questão, até lá inicie o seu sistema, com os parâmetros ou remova o commit problemático.

Caso queira mais informações sobre o assunto, você pode consultar o commit com problema, o tópico no Fórum do Arch Linux,  e o primeiro e o segundo relatório de erro enviado hoje sobre o problema para o Bugzilla do Linux Kernel. Até o momento não há prazo ou informação sobre quando a correção será lançada.

GNOME: Ubuntu e CentOS estão desfazendo recurso de segurança

Previous article

Canonical está melhorando a segurança do Ubuntu

Next article

You may also like

More in Notícias